Bug 223867 (APHPBreakdown) - [New port] devel/APHPBreakdown: Code analyzer for PHP
Summary: [New port] devel/APHPBreakdown: Code analyzer for PHP
Status: Closed FIXED
Alias: APHPBreakdown
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Torsten Zuehlsdorff
URL: http://gitlab.code-mesa.com/code-mesa...
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-25 14:02 UTC by Felix Flor
Modified: 2017-12-06 15:57 UTC (History)
2 users (show)

See Also:


Attachments
Makefile (764 bytes, text/plain)
2017-11-25 14:46 UTC, Felix Flor
no flags Details
distinfo (165 bytes, text/plain)
2017-11-25 14:46 UTC, Felix Flor
no flags Details
Diff-File from svn diff (2.62 KB, patch)
2017-12-02 10:16 UTC, Felix Flor
no flags Details | Diff
APHPBreakdown Diff-File (2.62 KB, patch)
2017-12-02 10:38 UTC, Felix Flor
no flags Details | Diff
New Patch File (2.62 KB, patch)
2017-12-04 10:19 UTC, Felix Flor
no flags Details | Diff
New Diff-File (2.55 KB, patch)
2017-12-05 20:24 UTC, Felix Flor
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Flor 2017-11-25 14:02:50 UTC
this software analyzes all files of your project and collect all php classes, functions
and constants found in your project. for the collection of classes, functions and constants it determined
all modules of php needed to be installed on the webserver for your project.

to display the result of the analyze you can choose different ways. one way is to display an output on your
command line. but what do you do if you don't have a command line access on the server you want to test?
then you use the testfile generator of aphpbreakdown! it generates a testfile you can upload to the webserver,
or sent it to you customer to upload it, and run it very simple in the browser.

to perform a output in the browser which is optimally to your needs, you can choose from two templates.
the "basic" template gives you the most common informations you need: are all needed modules installed or not.
if some of them are not installed, it list you the ones which not. on the other hand you will find the
"advanced" template. these gives you the same informations like the basic one plus a list of all
functions, classes and constants which are missing definitions.
Comment 1 Felix Flor 2017-11-25 14:46:10 UTC
Created attachment 188275 [details]
Makefile
Comment 2 Felix Flor 2017-11-25 14:46:30 UTC
Created attachment 188276 [details]
distinfo
Comment 3 Torsten Zuehlsdorff freebsd_committer 2017-11-27 08:56:22 UTC
Aloha Felix,

thanks for the new port. Since this is your first PR (and port) please have a look at our great documentation:
https://www.freebsd.org/doc/en/books/porters-handbook/index.html

In your case especially into this section:
https://www.freebsd.org/doc/en/books/porters-handbook/porting-submitting.html

Please also make sure, that portlint (ports-mgmt/portlint) passes without errors. And please confirm that you did a build test. Either with poudriere testport (ports-mgmt/poudriere) or with something like "make clean && make && make stage && make stage-qa && make check-plist"

Thanks,
Torsten
Comment 4 Felix Flor 2017-12-02 10:16:46 UTC
Created attachment 188467 [details]
Diff-File from svn diff
Comment 5 Felix Flor 2017-12-02 10:38:35 UTC
Created attachment 188469 [details]
APHPBreakdown Diff-File
Comment 6 Felix Flor 2017-12-02 10:44:06 UTC
Aloha Torsten,

thanks for your support and feedback! I've use portlint to build all need files correctly ( and find blanks at some files end ;) ). After it I use "make clean && make && make stage && make stage-qa && make check-plist" to test it runs without an error and i can run from command line.

Kind Regards,
Felix
Comment 7 Felix Flor 2017-12-04 10:19:41 UTC
Created attachment 188515 [details]
New Patch File

Correct Checksum in it.
Comment 8 Torsten Zuehlsdorff freebsd_committer 2017-12-04 16:56:26 UTC
Aloha Felix,

it got better, but since the last update i got this portlint complains:
$ portlint -AC
FATAL: Makefile: [3]: use a tab (not space) after a variable name
FATAL: Makefile: [4]: use a tab (not space) after a variable name
FATAL: Makefile: [5]: use a tab (not space) after a variable name
FATAL: Makefile: [6]: use a tab (not space) after a variable name
FATAL: Makefile: [7]: use a tab (not space) after a variable name
FATAL: Makefile: [9]: use a tab (not space) after a variable name
FATAL: Makefile: [10]: use a tab (not space) after a variable name
FATAL: Makefile: [12]: use a tab (not space) after a variable name
FATAL: Makefile: [14]: use a tab (not space) after a variable name
FATAL: Makefile: [15]: use a tab (not space) after a variable name
FATAL: Makefile: [17]: use a tab (not space) after a variable name
FATAL: Makefile: [18]: use a tab (not space) after a variable name
FATAL: Makefile: [20]: use a tab (not space) after a variable name

The rest looks fine. If you fix this i'm going to commit it.
Comment 9 Felix Flor 2017-12-05 20:24:25 UTC
Created attachment 188563 [details]
New Diff-File

portlint -> looks fine.
portlint -AC -> looks fine.
Comment 10 Felix Flor 2017-12-05 20:26:23 UTC
Aloha Torsten,

after portlint tells me that looks fine, now portlint -AC look fine, too. Classic case of RTFM ;) :D Sorry for that.

New File is Attached. Old is Done.

Kind Regards,
Felix
Comment 11 commit-hook freebsd_committer 2017-12-06 15:56:15 UTC
A commit references this bug:

Author: tz
Date: Wed Dec  6 15:55:47 UTC 2017
New revision: 455657
URL: https://svnweb.freebsd.org/changeset/ports/455657

Log:
  New port: devel/aphpbreakdown

  This software analyzes all files of your project and collect all PHP classes,
  functions and constants found in your project. For the collection of classes,
  functions and constants it determined all modules of PHP needed to be installed
  on the webserver for your project.

  To display the result of the analyze you can choose different ways. One way is
  to display an output on your command line. But what do you do if you don't have
  a command line access on the server you want to test?  Then you use the testfile
  generator of aPHPbreakdown! It generates a testfile you can upload to the
  webserver, or sent it to you customer to upload it, and run it very simple in
  the browser.

  WWW: http://gitlab.code-mesa.com/code-mesa/aphpbreakdown/

  PR:           223867
  Submitted by: Felix Flor <freebsd@felix.flornet.de>

Changes:
  head/devel/Makefile
  head/devel/aphpbreakdown/
  head/devel/aphpbreakdown/Makefile
  head/devel/aphpbreakdown/distinfo
  head/devel/aphpbreakdown/pkg-descr
Comment 12 Torsten Zuehlsdorff freebsd_committer 2017-12-06 15:57:03 UTC
I tweak pkg-desc a little. That is an import file, since it serves as source to be searched by pkg search. 

Committed, thanks! :)